import os
import pydicom
from pydicom.tag import Tag

dcmfnm = "../dataset/ct_dcmdir/Brain01"
   
ds = pydicom.dcmread(dcmfnm)
    
#Basic Information(Group:0008)
print("SOP Instance UID  :",Tag("SOPInstanceUID"), ds.SOPInstanceUID)
print("Study Date        :",Tag("StudyDate"),      ds.StudyDate)
print("Study Time        :",Tag("StudyTime"),      ds.StudyTime)
print("アクセッション番号:",Tag("AccessionNumber"), ds.AccessionNumber)
print("画像診断装置      :",Tag("Modality"),       ds.Modality)
    
    #Patient Information(Group:0010)
print("患者名  　　　:", Tag("PatientName"), ds.PatientName)
print("患者ID　　　　:", Tag("PatientID"),   ds.PatientID)

    #Study　Information(Group:0018)
print("検査部位　 　　　:", Tag("BodyPartExamined"), ds.BodyPartExamined)
print("スライス厚　　　 :", Tag("SliceThickness"),   ds.SliceThickness)
print("画像再構成関数 　:", Tag("ConvolutionKernel"), ds.ConvolutionKernel)
    
    #(Group:0020)
print("Study Instance UID  :", Tag("StudyInstanceUID"),  ds.StudyInstanceUID) 
print("Series Instance UID :", Tag("SeriesInstanceUID"), ds.SeriesInstanceUID)
print("Series Number       :", Tag("SeriesNumber"),      ds.SeriesNumber)
print("Image Position (Patient):",Tag("ImagePositionPatient"), ds.ImagePositionPatient) 
print("Acquisition Number  :", Tag("AcquisitionNumber"), ds.AcquisitionNumber)
print("Instance Number     :", Tag("InstanceNumber"),    ds.InstanceNumber)
print("Slice Location      :", Tag("SliceLocation"),     ds.SliceLocation)
    
        #Image Information(Group:0028)
print("光度測定解釈        :", Tag("PhotometricInterpretation"), ds.PhotometricInterpretation)
print("画像の列数（幅）    :", Tag("Rows"),           ds.Rows)
print("画像の行数（高さ）　:", Tag("Columns"),        ds.Columns)
print("画素間隔　　　　　　:", Tag("PixelSpacing"),   ds.PixelSpacing)
print("Bits Allocated      :", Tag("BitsAllocated"),  ds.BitsAllocated)
print("Bits Stored         :", Tag("BitsStored"),     ds.BitsStored) 
print("High Bit            :", Tag("HighBit"),        ds.HighBit)
print("Pixel Representation:", Tag("PixelRepresentation"), ds.PixelRepresentation)
print("Window Center       :", Tag("WindowCenter"),   ds.WindowCenter)
print("Window Width        :", Tag("WindowWidth"),    ds.WindowWidth)
print("Rescale Intercept   :", Tag("RescaleIntercept"), ds.RescaleIntercept)
print("Rescale Slope       :", Tag("RescaleSlope"),   ds.RescaleSlope)


