import numpy as np
import cv2
import pydicom

dcmfnm  = '../dataset/ct_dcmdir/Brain01'

ds  = pydicom.dcmread(dcmfnm)        #DICOM画像を読み込む
wc  = ds.WindowCenter                #ウィンドウセンター値を代入
ww  = ds.WindowWidth                 #ウィンドウ幅を代入 
h   = ds.Columns
w   = ds.Rows    
ri  = ds.RescaleIntercept            #リスケール切片
rs  = ds.RescaleSlope                #リスケール勾配
img = ds.pixel_array                 #画素値を代入 

print('Window Center   :', wc)
print('Window Width    :', ww)
print('Columns(hight)  :', h)
print('Rows(width)     :', w)
print('RescaleIntercept:', ri)
print('RescaleSlope    :', rs)       

img = img * rs + ri        
max = wc + ww/2                     
min = wc - ww/2      
print("wc=",wc,"ww=",ww,"→ max=",max," min=",min)
print("max, min =", np.amax(img), np.amin(img))
print("type",type(img))

### Windowning
### Windowning2 
img = 255*(img - min)/(max - min)   #最大と最小の間の画素値を0から255に変換        
img = np.clip(img, 0, 255)          #clipを使ってimgの値を0～255の範囲内に収めた
    
cv2.imwrite('./Brain01.png', img)

