import os
import pydicom

def sortFileByImagePosition(dirname):
    files = os.listdir(dirname) 
    filedic = {}        # フィル名とImagePositionを代入する辞書
    filelist = []       #　ソートされた順でファイル名を代入するリスト
    
    #　DICOM画像を読み込んでファイル名とImage Positionの辞書を作成
    for i, filename in enumerate(files):
        d = pydicom.dcmread(dirname + filename)
        filedic[filename] = d.ImagePositionPatient[2]  #辞書に登録
        print("MakeDic>>",i, filename, filedic[filename])
    
    print("-" * 50)
    #　Sort( Image Positionを降順ソートのときは -x[1]， 昇順のときは x[1] )
    fileSorted = sorted(filedic.items(), key=lambda x: -x[1])
    #print(">1>", type(filedic), filedic)
    #print(">2>", type(fileSorted), fileSorted)
    for i, fname_imgPos in enumerate(fileSorted):
        filelist.append(fname_imgPos[0])
        print("Sorted >> ",i ,fname_imgPos[0],": ",fname_imgPos[1])
        
    return filelist

if __name__ == '__main__':
    dirname = "../dataset/ct_dcmdir/"

    #File SimpleDisplay
    files = os.listdir( dirname )
    for i, filename in enumerate(files):
        d = pydicom.dcmread(dirname + filename)
        print("Originl>>",i, filename, d.ImagePositionPatient)
    print("=" * 50)
            
    sortedfile = sortFileByImagePosition(dirname)
    
    print("=" * 50)
    for i, filename in enumerate(sortedfile):
        print("RESULT >>",i, filename)
