"""
このプログラムはDCMTKがインストールされていることが前提です
参照：DCMTK - DICOM Toolkit　https://dicom.offis.de/dcmtk.php.en

"""
import subprocess
import pydicom
from matplotlib import pyplot as plt

def decompjpeg(in_fnm, out_fnm):       
    cmdline = "dcmdjpeg "  + in_fnm + " " + out_fnm
    proc = subprocess.run(cmdline, shell=True)   
    print(proc)
    
    return proc

cfnm = '../dataset/mr_dcmdir/Knee01'
dfnm  = './Knee01'

decompjpeg( cfnm , dfnm )

dfnm1 = dfnm.replace('"','')
ds = pydicom.dcmread(dfnm1)
wc = ds.WindowCenter     
ww = ds.WindowWidth      
img = ds.pixel_array

max = wc + ww / 2         
min = wc - ww / 2         
print("max =", max, "min =", min)
plt.imshow(img, cmap='gray', vmax=max, vmin=min)
plt.show()
